FLAC::Metadata::CueSheet::Track Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes » FLAC++/metadata.h: metadata level 0 interface » FLAC++/metadata.h: metadata level 1 interface » FLAC++/metadata.h: metadata level 2 interface

`#include <metadata.h>`

## Public Member Functions

| Track (const ::FLAC__StreamMetadata_CueSheet_Track *track)
| Track (const Track &track)
Track & | operator= (const Track &track)
virtual bool | is_valid () const
FLAC__uint64 | get_offset () const
FLAC__byte | get_number () const
const char * | get_isrc () const
uint32_t | get_type () const
bool | get_pre_emphasis () const
FLAC__byte | get_num_indices () const
::FLAC__StreamMetadata_CueSheet_Index | get_index (uint32_t i) const
const ::FLAC__StreamMetadata_CueSheet_Track * | get_track () const
void | set_offset (FLAC__uint64 value)
void | set_number (FLAC__byte value)
void | set_isrc (const char value[12])
void | set_type (uint32_t value)
void | set_pre_emphasis (bool value)
void | set_index (uint32_t i, const ::FLAC__StreamMetadata_CueSheet_Index &index)

## Protected Attributes

::FLAC__StreamMetadata_CueSheet_Track * | object_

## Detailed Description

Convenience class for encapsulating a cue sheet track.

Always check is_valid() after the constructor or operator= to make sure memory was properly allocated.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2025 Xiph.Org Foundation